# https://github.com/keycloak/keycloak-containers/blob/53f4946b9add671f22c8ded6ec54415e8923ea0f/server/tools/docker-entrypoint.sh#L36
# https://github.com/codecentric/helm-charts/issues/293#issuecomment-703117828
# https://github.com/codecentric/helm-charts/issues/271
extraEnv: |
  - name: KEYCLOAK_USER
    value: "{{ keycloak_admin_credentials.user }}"
  - name: KEYCLOAK_PASSWORD
    value: "{{ keycloak_admin_credentials.password }}"
  - name: PROXY_ADDRESS_FORWARDING
    value: "true"

{% if cloudstack.stack.exposed|bool %}
ingress:
  enabled: true
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/proxy-buffer-size: 128k
{% if cloudstack.stack.tls|bool and 'letsencrypt' in cloudstack.stack.plugins %}
    kubernetes.io/tls-acme: "true"
    acme.cert-manager.io/http01-ingress-class: "nginx"
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.enabled|bool %}
    cert-manager.io/cluster-issuer: "cloudstack-dns01"
{% else %}
    cert-manager.io/cluster-issuer: "letsencrypt-{{ cloudstack.plugins.letsencrypt.config.environment }}"
{% endif %}
{% endif %}
  rules:
    - host: "{{ cloudstack.plugins.keycloak.subdomain }}.{{ cloudstack.stack.hostname }}"
      paths:
        - path: "/"
          pathType: Prefix
{% if cloudstack.stack.tls|bool and 'letsencrypt' in cloudstack.stack.plugins %}
  tls:
    - hosts:
      - "{{ cloudstack.plugins.keycloak.subdomain }}.{{ cloudstack.stack.hostname }}"
      secretName: "keycloak-tls"
{% endif %}
{% endif %}
